/**
 * Returns the status that has the lowest index in the given list of statuses.
 *
 * @param statuses {string[]} the statuses to look the given statuses up in
 * @param status1 {string} the first status
 * @param status2 {string} the second status
 * @returns {string} the status that has the lowest index in the given list of statuses
 */
export const mergeStates = (statuses, status1, status2) => {
    return statuses[Math.min(statuses.indexOf(status1), statuses.indexOf(status2))];
};
